Tokens
Retrieve token status and other non-sensitive data.
Authorizations
OpenID ConnectRequired
This API uses OAuth 2 with the client credentials flow. More info
Path parameters
gatewayTokenIdstring · max: 64Required
Unique ID of the token
versionstringRequired
Header parameters
X-Request-Idstring · uuidRequired
ID of the request, unique to the call, as determined by the initiating party
Responses
200
OK
application/json
gatewayTokenIdstring · max: 64Optional
Unique ID of the token
paymentMethodTypestring · enumOptionalPossible values:
Type of payment method stored in the token
tokenStatusstring · enumOptionalPossible values:
400
Bad Request
application/json
403
Forbidden
application/json
404
Not Found
application/json
409
Conflict
application/json
503
Service Unavailable
application/json
get/egw/{version}/tokens/{gatewayTokenId}
GET /egw/{version}/tokens/{gatewayTokenId} HTTP/1.1
Host: sandbox-api.ecomm.api.tietoevry.com
X-Request-Id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
"card": {
"cardholderName": "text",
"expiry": {
"month": "text",
"year": "text"
},
"lastFourDigits": "text"
},
"gatewayTokenId": "text",
"paymentMethodType": "CARD",
"purposes": [
"CIT"
],
"tokenStatus": "ACTIVE"
}Deactivates an existing token, preventing its use in future payments
Authorizations
OpenID ConnectRequired
This API uses OAuth 2 with the client credentials flow. More info
Path parameters
gatewayTokenIdstring · max: 64Required
Unique ID of the token
versionstringRequired
Header parameters
X-Request-Idstring · uuidRequired
ID of the request, unique to the call, as determined by the initiating party
Responses
200
OK
application/json
gatewayTokenIdstring · max: 64Optional
Unique ID of the token
tokenStatusstring · enumOptionalPossible values:
400
Bad Request
application/json
403
Forbidden
application/json
404
Not Found
application/json
409
Conflict
application/json
503
Service Unavailable
application/json
delete/egw/{version}/tokens/{gatewayTokenId}
DELETE /egw/{version}/tokens/{gatewayTokenId} HTTP/1.1
Host: sandbox-api.ecomm.api.tietoevry.com
X-Request-Id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
"gatewayTokenId": "text",
"tokenStatus": "ACTIVE"
}Last updated
Was this helpful?